openPilotLog

Public Member Functions | List of all members
ARunGuard Class Reference

The RunGuard class ensures only a single instance of the application is running simultaneously. More...

`#include <arunguard.h>`

## Public Member Functions
| ARunGuard (const QString &key)
bool | isAnotherRunning ()
bool | tryToRun ()
void | release ()

## Detailed Description

The RunGuard class ensures only a single instance of the application is running simultaneously.

The documentation for this class was generated from the following files:

- src/classes/arunguard.h
- src/classes/arunguard.cpp